#Module-Specific definitions
%define snapshot 20021209
%define mod_version 0.0.%{snapshot}
%define release 1mdk
%define mod_name mod_encoding
%define mod_conf 44_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk

Summary:	Mod_encoding is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0: 	mod_encoding-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
# (fc) 0.0.20021209-1mdk apache2 port
Patch0:		mod_encoding-0.0.20021209-apache2.patch.bz2
License:	GPL
URL:		http://webdav.todo.gr.jp/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Mod Encoding is an Apache 2 module for non-ascii filename interoperability

This module improves non-ascii filename interoperability of apache
(and mod_dav).

%prep

%setup -q -n mod_encoding-%{snapshot}
%patch0 -p1 -b .apache2

%build

cd lib
[ -r iconv.h ] && rm -f iconv.h
%configure --enable-shared=no
%make
ln -s -f  iconv.h.replace iconv.h
cd -

%{apxs} -c -I $PWD/lib -L $PWD/lib/ -liconv_hook %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.0.20021209-1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.0.20021209-1mdk
- built for apache 2.0.49

* Thu Feb 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.48_0.0.20021209-1mdk
- First mdk package (based on Debian one)
